Hopp til innhald

The attribute option object

Attributes

iduuid

Unique identifier

attribute_iduuid
attributes.id

Identifier of the attribute this option is defined in

created_atread-onlytimestamp with time zone

Creation timestamp

nameMultiLanguageString

Localized name of the option

orderinteger

Order of the option as displayed on widgets and websites

Related resources

Embed related resources in the response with the select parameter, for example select=*,attributes(*). Resources related through more than one column need the column as a hint, like table!column(*).

attributes(*)object | null
attributes

The attribute referenced by attribute_id.

product_attribute_options(*)array
product_attribute_options

The product attribute options referencing this attribute option through product_attribute_options.option_id.

The attribute option object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "attribute_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:39:58.169Z",
  "name": {},
  "order": 1
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/attribute_options?limit=10&select=*,attributes(*),product_attribute_options(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List attribute options

Filters

idFilter<uuid>

Unique identifier

attribute_idFilter<uuid>
attributes.id

Identifier of the attribute this option is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name of the option

orderFilter<integer>

Order of the option as displayed on widgets and websites

Responses

200

A list of attribute options with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /attribute_options
curl -X GET "https://api.bookingmood.com/v1/attribute_options?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "attribute_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:39:58.169Z",
    "name": {},
    "order": 1
  }
]

Create attribute options

Body

Partial<AttributeOption> | Array<Partial<AttributeOption>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created attribute options with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /attribute_options
curl -X POST "https://api.bookingmood.com/v1/attribute_options" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "attribute_id": "00000000-0000-0000-0000-000000000000",
    "name": {},
    "order": 1
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "attribute_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:39:58.169Z",
    "name": {},
    "order": 1
  }
]

Delete attribute options

Filters

Without filters, this request deletes all attribute options you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

attribute_idFilter<uuid>
attributes.id

Identifier of the attribute this option is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name of the option

orderFilter<integer>

Order of the option as displayed on widgets and websites

Responses

200

The deleted attribute options with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /attribute_options
curl -X DELETE "https://api.bookingmood.com/v1/attribute_options?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "attribute_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:39:58.169Z",
    "name": {},
    "order": 1
  }
]

Update attribute options

Filters

Without filters, this request updates all attribute options you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

attribute_idFilter<uuid>
attributes.id

Identifier of the attribute this option is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

nameFilter<MultiLanguageString>

Localized name of the option

orderFilter<integer>

Order of the option as displayed on widgets and websites

Body

Partial<AttributeOption>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated attribute options with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /attribute_options
curl -X PATCH "https://api.bookingmood.com/v1/attribute_options?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "attribute_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:39:58.169Z",
    "name": {},
    "order": 1
  }
]

Ta kontroll over bestillingene dine. Bygg din egen bedrift.

Bli med i over 1200 uavhengige ferieutleiefirmaer som bruker Bookingmood for å øke direktebookinger og bygge sterkere gjesterelasjoner.

Start gratis 14-dagers prøveperiode